Update a shipment operator
Update a shipment operator
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
codestring · enumOptionalPossible values:
addressstring · max: 255 · nullableOptional
addressComplementarystring · max: 255 · nullableOptional
postalCodestring · max: 50 · nullableOptional
citystring · max: 70 · nullableOptional
namestring · max: 255 · nullableOptional
contactstring · max: 255 · nullableOptional
emailstring · email · max: 180 · nullableOptional
telstring · max: 255 · nullableOptional
faxstring · max: 255 · nullableOptional
phonestring · max: 255 · nullableOptional
agreementNumberstring · max: 255 · nullableOptional
agreementValidityany · nullableOptional
societystring · max: 255Optional
countrystring · enumOptionalPossible values:
Responses
200Success
application/json
idstring · uuidRequired
shipmentstring · uuidRequired
societyone of · nullableRequired
string · max: 255Optional
countryone of · nullableRequired
string · enumOptionalPossible values:
codestring · enumRequiredPossible values:
addressstring · max: 255 · nullableRequired
addressComplementarystring · max: 255 · nullableRequired
postalCodestring · max: 50 · nullableRequired
citystring · max: 70 · nullableRequired
namestring · max: 255 · nullableRequired
contactstring · max: 255 · nullableRequired
emailstring · email · max: 180 · nullableRequired
telstring · max: 255 · nullableRequired
faxstring · max: 255 · nullableRequired
phonestring · max: 255 · nullableRequired
agreementNumberstring · max: 255 · nullableRequired
agreementValidityany · nullableRequired
createdAtanyRequired
updatedAtany · nullableRequired
400
Bad Request
application/json
401
Unprocessable Entity
application/json
409
Conflict
application/json
422
Unprocessable Entity
application/json
put
/shipment-operator/{id}Last updated